1. Core Resources
VLTZ PAY
  • API Reference
    • Getting Started
      • Create a hosted checkout session
      • Get payment status
    • Core Resources
      • Create a direct payment
        POST
      • List application transactions
        GET
      • Get transaction dashboard summary
        GET
      • Get an application transaction
        GET
      • List application payment activity
        GET
    • Schemas
      • CheckoutRequest
      • CreatePaymentRequest
      • PaymentRequestBase
      • CardDetails
      • PaymentMethodCode
      • BillingDetails
      • CheckoutBilling
      • LineItem
      • PaymentMetadata
      • CheckoutResponse
      • CreatePaymentResponseEnvelope
      • CreatePaymentResponse
      • ProviderCheckout
      • ProviderResult
      • PaymentRecord
      • PaymentStatus
      • ResolvedPaymentMethod
      • PaymentStatusResponseEnvelope
      • Transaction
      • TransactionResponseEnvelope
      • TransactionListResponseEnvelope
      • TransactionSummaryResponseEnvelope
      • CurrencySummary
      • DailySummary
      • ActivityLogListResponseEnvelope
      • ActivityLog
      • PaymentStatusCallback
      • ErrorEnvelope
  1. Core Resources

List application payment activity

GET
https://api-vltzpay.beespokedev.com/api/v1.0/payments/activity-logs
Returns redacted provider interaction activity for the active application. Provider identity and provider request identifiers are removed from this response.

Request

Query Params

Header Params

Responses

🟢200
application/json
Application-scoped activity page.
Bodyapplication/json

🟠400ValidationError
🟠404InvalidApplication
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-vltzpay.beespokedev.com/api/v1.0/payments/activity-logs?page=&limit=&direction=&event=&sort=' \
--header 'appKey;'
Response Response Example
200 - Example 1
{
    "success": true,
    "response": {
        "count": 0,
        "rows": [
            {
                "id": 0,
                "paymentReference": "string",
                "direction": "REQUEST",
                "event": "string",
                "requestPayload": {
                    "property1": "string",
                    "property2": "string"
                },
                "responsePayload": {
                    "property1": "string",
                    "property2": "string"
                },
                "errorMessage": "string",
                "createdAt": "2019-08-24T14:15:22.123Z"
            }
        ]
    }
}
Modified at 2026-07-30 05:26:56
Previous
Get an application transaction
Next
CheckoutRequest
Built with